Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class AjaxCommandLink

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.taglib.html.jsp.AjaxCommandLink

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AjaxCommandLink

extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AjaxCommandLink()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAccesskey(java.lang.String __accesskey)`
`void` | `setAction(java.lang.String __action)`
`void` | `setActionExpression(java.lang.String __actionExpression)`
`void` | `setActionListener(java.lang.String __actionListener)`
`void` | `setAjaxSingle(java.lang.String __ajaxSingle)`
`void` | `setBypassUpdates(java.lang.String __bypassUpdates)`
`void` | `setCharset(java.lang.String __charset)`
`void` | `setCoords(java.lang.String __coords)`
`void` | `setData(java.lang.String __data)`
`void` | `setDir(java.lang.String __dir)`
`void` | `setEventsQueue(java.lang.String __eventsQueue)`
`void` | `setFocus(java.lang.String __focus)`
`void` | `setHreflang(java.lang.String __hreflang)`
`void` | `setIgnoreDupResponses(java.lang.String __ignoreDupResponses)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setLang(java.lang.String __lang)`
`void` | `setLimitToList(java.lang.String __limitToList)`
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)`
`void` | `setOnblur(java.lang.String __onblur)`
`void` | `setOnclick(java.lang.String __onclick)`
`void` | `setOncomplete(java.lang.String __oncomplete)`
`void` | `setOndblclick(java.lang.String __ondblclick)`
`void` | `setOnfocus(java.lang.String __onfocus)`
`void` | `setOnkeydown(java.lang.String __onkeydown)`
`void` | `setOnkeypress(java.lang.String __onkeypress)`
`void` | `setOnkeyup(java.lang.String __onkeyup)`
`void` | `setOnmousedown(java.lang.String __onmousedown)`
`void` | `setOnmousemove(java.lang.String __onmousemove)`
`void` | `setOnmouseout(java.lang.String __onmouseout)`
`void` | `setOnmouseover(java.lang.String __onmouseover)`
`void` | `setOnmouseup(java.lang.String __onmouseup)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRel(java.lang.String __rel)`
`void` | `setRequestDelay(java.lang.String __requestDelay)`
`void` | `setReRender(java.lang.String __reRender)`
`void` | `setRev(java.lang.String __rev)`
`void` | `setShape(java.lang.String __shape)`
`void` | `setStatus(java.lang.String __status)`
`void` | `setStyle(java.lang.String __style)`
`void` | `setStyleClass(java.lang.String __styleClass)`
`void` | `setTabindex(java.lang.String __tabindex)`
`void` | `setTarget(java.lang.String __target)`
`void` | `setTimeout(java.lang.String __timeout)`
`void` | `setTitle(java.lang.String __title)`
`void` | `setType(java.lang.String __type)`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxCommandLink

    public AjaxCommandLink()

Method Detail

### setFocus

    public void setFocus(java.lang.String __focus)

### setDir

    public void setDir(java.lang.String __dir)

### setRev

    public void setRev(java.lang.String __rev)

### setBypassUpdates

    public void setBypassUpdates(java.lang.String __bypassUpdates)

### setLimitToList

    public void setLimitToList(java.lang.String __limitToList)

### setStyle

    public void setStyle(java.lang.String __style)

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

### setTabindex

    public void setTabindex(java.lang.String __tabindex)

### setTimeout

    public void setTimeout(java.lang.String __timeout)

### setLang

    public void setLang(java.lang.String __lang)

### setActionExpression

    public void setActionExpression(java.lang.String __actionExpression)

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

### setRel

    public void setRel(java.lang.String __rel)

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

### setCoords

    public void setCoords(java.lang.String __coords)

### setActionListener

    public void setActionListener(java.lang.String __actionListener)

### setTitle

    public void setTitle(java.lang.String __title)

### setShape

    public void setShape(java.lang.String __shape)

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

### setTarget

    public void setTarget(java.lang.String __target)

### setCharset

    public void setCharset(java.lang.String __charset)

### setReRender

    public void setReRender(java.lang.String __reRender)

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

### setAccesskey

    public void setAccesskey(java.lang.String __accesskey)

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

### setAjaxSingle

    public void setAjaxSingle(java.lang.String __ajaxSingle)

### setOnblur

    public void setOnblur(java.lang.String __onblur)

### setAction

    public void setAction(java.lang.String __action)

### setHreflang

    public void setHreflang(java.lang.String __hreflang)

### setType

    public void setType(java.lang.String __type)

### setOnclick

    public void setOnclick(java.lang.String __onclick)

### setStatus

    public void setStatus(java.lang.String __status)

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

### setRequestDelay

    public void setRequestDelay(java.lang.String __requestDelay)

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setData

    public void setData(java.lang.String __data)

### setOnfocus

    public void setOnfocus(java.lang.String __onfocus)

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

### setIgnoreDupResponses

    public void setIgnoreDupResponses(java.lang.String __ignoreDupResponses)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.